import { MessageCipherDTO } from "../dto/MessageCipherDTO";

export interface EncryptionService {
  encrypt(passphrase: string, plainText: string): MessageCipherDTO;
  decrypt(passphrase: string, cipher: MessageCipherDTO): string;
  decryptAsPromise(
    passphrase: string,
    cipher: MessageCipherDTO
  ): Promise<string>;
}
